Index: orxonox/branches/physics/src/util/physics/i_physics.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/i_physics.cc	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/i_physics.cc	(revision 3961)
@@ -12,13 +12,13 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Patrick Boenzli
    co-programmer: ...
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
-#include "proto_class.h"
+#include "i_physics.h"
 
-#include "stdincl.h" // maybe
+#include "stdincl.h"
 
 using namespace std;
@@ -27,9 +27,8 @@
 /**
    \brief standard constructor
-   \todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass () 
+IPhysics::IPhysics () 
 {
-   this->setClassName ("ProtoClass");
+   this->setClassName ("IPhysics");
 }
 
@@ -39,15 +38,6 @@
 
 */
-ProtoClass::~ProtoClass () 
+IPhysics::~IPhysics () 
 {
   // delete what has to be deleted here
 }
-
-/**
-   \brief nonsense - delete this method
-   \param realy nothing to give
-   \returns true or false - probably nothing?
-
-   this is just to show the doxygen abilities (this for example is an extension for a long comment)
-*/
-bool ProtoClass::doNonSense (int nothing) {}
Index: orxonox/branches/physics/src/util/physics/i_physics.h
===================================================================
--- orxonox/branches/physics/src/util/physics/i_physics.h	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/i_physics.h	(revision 3961)
@@ -1,39 +1,28 @@
 /*! 
-    \file proto_class.h
-    \brief Definition of the proto class template, used quickly start work
-    \todo Example: this shows how to use simply add a Marker that here has to be done something.
-
-    The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
-    It is an example for the CODING-CONVENTION, and a starting-point for every class.
+    \file i_physics.h
+    \brief a physics interface
 */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _I_PHYSICS_H
+#define _I_PHYSICS_H
 
-#include "what realy has to be included"
 #include "base_object.h"
 
-// FORWARD DEFINITION \\
-class someClassWeNeed;
 
 
-/*class Test;*/ /* forward definition of class Test (without including it here!)*/
-
-//! A default class that aids you to start creating a new class
+//! A Physics interface
 /**
    here can be some longer description of this class
 */
-class ProtoClass : public BaseObject {
+class IPhysics : public BaseObject {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
-
-  bool doNonSense (int nothing);
+  IPhysics();
+  virtual ~IPhysics();
 
  private:
-  int nonSense;  //!< doxygen tag here like this for all the variables - delete this variable if you use this
+
 
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _I_PHYSICS_H */
Index: orxonox/branches/physics/src/util/physics/physical_interaction.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction.cc	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction.cc	(revision 3961)
@@ -12,13 +12,13 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Patrick Boenzli
    co-programmer: ...
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
-#include "proto_class.h"
+#include "physical_interaction.h"
 
-#include "stdincl.h" // maybe
+#include "stdincl.h"
 
 using namespace std;
@@ -27,9 +27,8 @@
 /**
    \brief standard constructor
-   \todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass () 
+PhysicalInteraction::PhysicalInteraction () 
 {
-   this->setClassName ("ProtoClass");
+   this->setClassName ("PhysicalInteraction");
 }
 
@@ -39,15 +38,6 @@
 
 */
-ProtoClass::~ProtoClass () 
+PhysicalInteraction::~PhysicalInteraction () 
 {
   // delete what has to be deleted here
 }
-
-/**
-   \brief nonsense - delete this method
-   \param realy nothing to give
-   \returns true or false - probably nothing?
-
-   this is just to show the doxygen abilities (this for example is an extension for a long comment)
-*/
-bool ProtoClass::doNonSense (int nothing) {}
Index: orxonox/branches/physics/src/util/physics/physical_interaction.h
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction.h	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction.h	(revision 3961)
@@ -8,32 +8,23 @@
 */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _PHYSICAL_INTERACTION_H
+#define _PHYSICAL_INTERACTION_H
 
-#include "what realy has to be included"
+
 #include "base_object.h"
 
-// FORWARD DEFINITION \\
-class someClassWeNeed;
-
-
-/*class Test;*/ /* forward definition of class Test (without including it here!)*/
-
-//! A default class that aids you to start creating a new class
+//! An abstract definition of a physics relation
 /**
    here can be some longer description of this class
 */
-class ProtoClass : public BaseObject {
+class PhysicalInteraction : public BaseObject {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
-
-  bool doNonSense (int nothing);
+  PhysicalInteraction();
+  virtual ~PhysicalInteraction();
 
  private:
-  int nonSense;  //!< doxygen tag here like this for all the variables - delete this variable if you use this
 
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _PHYSICAL_INTERACTION_H */
Index: orxonox/branches/physics/src/util/physics/physical_interaction_asym.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction_asym.cc	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction_asym.cc	(revision 3961)
@@ -16,9 +16,9 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
-#include "proto_class.h"
+#include "physical_interaction_asym.h"
 
-#include "stdincl.h" // maybe
+#include "stdincl.h" 
 
 using namespace std;
@@ -27,9 +27,8 @@
 /**
    \brief standard constructor
-   \todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass () 
+PhysicalInteractionAsym::PhysicalInteractionAsym () 
 {
-   this->setClassName ("ProtoClass");
+   this->setClassName ("PhysicalInteractionAsym");
 }
 
@@ -39,15 +38,6 @@
 
 */
-ProtoClass::~ProtoClass () 
+PhysicalInteractionAsym::~PhysicalInteractionAsym () 
 {
   // delete what has to be deleted here
 }
-
-/**
-   \brief nonsense - delete this method
-   \param realy nothing to give
-   \returns true or false - probably nothing?
-
-   this is just to show the doxygen abilities (this for example is an extension for a long comment)
-*/
-bool ProtoClass::doNonSense (int nothing) {}
Index: orxonox/branches/physics/src/util/physics/physical_interaction_asym.h
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction_asym.h	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction_asym.h	(revision 3961)
@@ -1,39 +1,27 @@
 /*! 
-    \file proto_class.h
-    \brief Definition of the proto class template, used quickly start work
-    \todo Example: this shows how to use simply add a Marker that here has to be done something.
-
-    The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
-    It is an example for the CODING-CONVENTION, and a starting-point for every class.
+    \file physical_interaction_asym.h
+    \brief Definition a asymmertrical physical interaction like force field that (in our implementation)
+    hast no reactio
 */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _PHYSICAL_INTERACTION_ASYM_H
+#define _PHYSICAL_INTERACTION_ASYM_H
 
-#include "what realy has to be included"
 #include "base_object.h"
 
-// FORWARD DEFINITION \\
-class someClassWeNeed;
 
-
-/*class Test;*/ /* forward definition of class Test (without including it here!)*/
-
-//! A default class that aids you to start creating a new class
+//! An asymmetrical force
 /**
-   here can be some longer description of this class
+   forces, that only work in one firection
 */
-class ProtoClass : public BaseObject {
+class PhysicalInteractionAsym : public BaseObject {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
-
-  bool doNonSense (int nothing);
+  PhysicalInteractionAsym();
+  virtual ~PhysicalInteractionAsym();
 
  private:
-  int nonSense;  //!< doxygen tag here like this for all the variables - delete this variable if you use this
 
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _PHYSICAL_INTERACTION_ASYM_H */
Index: orxonox/branches/physics/src/util/physics/physical_interaction_sym.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction_sym.cc	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction_sym.cc	(revision 3961)
@@ -12,13 +12,13 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Patrick Boenzli
    co-programmer: ...
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
-#include "proto_class.h"
+#include "physical_interaction_sym.h"
 
-#include "stdincl.h" // maybe
+#include "stdincl.h" 
 
 using namespace std;
@@ -27,9 +27,8 @@
 /**
    \brief standard constructor
-   \todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass () 
+PhysicalInteractionSym::PhysicalInteractionSym () 
 {
-   this->setClassName ("ProtoClass");
+   this->setClassName ("PhysicalInteractionSym");
 }
 
@@ -39,15 +38,6 @@
 
 */
-ProtoClass::~ProtoClass () 
+PhysicalInteractionSym::~PhysicalInteractionSym () 
 {
   // delete what has to be deleted here
 }
-
-/**
-   \brief nonsense - delete this method
-   \param realy nothing to give
-   \returns true or false - probably nothing?
-
-   this is just to show the doxygen abilities (this for example is an extension for a long comment)
-*/
-bool ProtoClass::doNonSense (int nothing) {}
Index: orxonox/branches/physics/src/util/physics/physical_interaction_sym.h
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction_sym.h	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction_sym.h	(revision 3961)
@@ -1,39 +1,28 @@
 /*! 
-    \file proto_class.h
-    \brief Definition of the proto class template, used quickly start work
-    \todo Example: this shows how to use simply add a Marker that here has to be done something.
-
-    The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
-    It is an example for the CODING-CONVENTION, and a starting-point for every class.
+    \file physical_interaction_sym.h
+    \brief this defines a symmetrical interaction like a spring force on both ends
 */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _PHYSICAL_INTERACTION_SYM_H
+#define _PHYSICAL_INTERACTION_SYM_H
 
-#include "what realy has to be included"
 #include "base_object.h"
 
-// FORWARD DEFINITION \\
-class someClassWeNeed;
+
+//! A symmetrical physical interaction
+/**
+   eg. this can be a spring
+*/
+class PhysicalInteractionSym : public BaseObject {
+
+ public:
+  PhysicalInteractionSym();
+  virtual ~PhysicalInteractionSym();
 
 
-/*class Test;*/ /* forward definition of class Test (without including it here!)*/
-
-//! A default class that aids you to start creating a new class
-/**
-   here can be some longer description of this class
-*/
-class ProtoClass : public BaseObject {
-
- public:
-  ProtoClass();
-  virtual ~ProtoClass();
-
-  bool doNonSense (int nothing);
-
  private:
-  int nonSense;  //!< doxygen tag here like this for all the variables - delete this variable if you use this
 
 };
 
-#endif /* _PROTO_CLASS_H */
+
+#endif /* _PHYSICAL_INTERACTION_SYM_H */