Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 3966)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 3967)
@@ -577,5 +577,5 @@
 // brush 63
 {
-( 447 714 110 ) ( 447 690 110 ) ( 425 714 110 ) base_wall/basewall03 3.3333337307 39 0 0.3000000119 0.3300000131 0 0 0
+( 447 715 221 ) ( 447 691 221 ) ( 425 715 221 ) base_wall/basewall03 3.3333337307 39 0 0.3000000119 0.3300000131 0 0 0
 ( 448 720 64 ) ( 426 720 64 ) ( 448 720 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 456 716 64 ) ( 456 716 -32 ) ( 456 692 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -589,5 +589,5 @@
 // brush 64
 {
-( 582 712 110 ) ( 606 712 110 ) ( 582 690 110 ) base_wall/basewall03 3.3333337307 39 0 0.3000000119 0.3300000131 0 0 0
+( 582 713 221 ) ( 606 713 221 ) ( 582 691 221 ) base_wall/basewall03 3.3333337307 39 0 0.3000000119 0.3300000131 0 0 0
 ( 576 712 110 ) ( 576 690 110 ) ( 576 712 14 ) base_wall/basewall03 0 178.3939819336 0 0.3000000119 0.3300000131 0 0 0
 ( 581 720 64 ) ( 581 720 -32 ) ( 605 720 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -2019,5 +2019,5 @@
 ( 318 88 121 ) ( 478 88 121 ) ( 318 232 121 ) base_wall/basewall04 18 13 0 0.3000000119 0.3000000119 0 0 0
 ( 310 88 41 ) ( 310 88 129 ) ( 470 88 41 ) base_wall/basewall04 0 66 0 0.5 0.5 0 0 0
-( 310 88 41 ) ( 310 232 41 ) ( 310 88 129 ) base_wall/basewall04 0 66 0 0.5 0.5 0 0 0
+( 288 89 41 ) ( 288 233 41 ) ( 288 89 129 ) base_wall/basewall04 0 66 0 0.5 0.5 0 0 0
 }
 // brush 209
@@ -5011,9 +5011,9 @@
 {
 ( 562 880.5 232 ) ( 562 631 232 ) ( 430 880.5 232 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 560 884 232 ) ( 428 884 232 ) ( 560 884 221 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 656 879.5 232 ) ( 656 879.5 221 ) ( 656 630 232 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 564 719 232 ) ( 432 719 232 ) ( 564 719 221 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 713 882.5 232 ) ( 713 882.5 221 ) ( 713 633 232 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( 428 631 221 ) ( 560 631 221 ) ( 428 880.5 221 ) base_wall/basewall04 -90 13 0 0.3000000119 0.3000000119 0 0 0
 ( 460.5 -376 221 ) ( 460.5 -376 232 ) ( 592.5 -376 221 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 448 629.5 221 ) ( 448 879 221 ) ( 448 629.5 232 ) base_wall/basewall04 47 13 -90 0.3000000119 0.3000000119 0 0 0
+( 416 626.5 221 ) ( 416 876 221 ) ( 416 626.5 232 ) base_wall/basewall04 47 13 -90 0.3000000119 0.3000000119 0 0 0
 }
 // brush 538
@@ -5857,7 +5857,7 @@
 {
 ( 640 -176 221 ) ( 648 -328 221 ) ( 640 -328 221 ) base_wall/basewall03 37.3333320618 -37.3332519531 -90 0.3000000119 -0.3000000119 0 0 0
-( 648 -304 221 ) ( 640 -304 217 ) ( 640 -304 221 ) base_wall/basewall03 37.3332519531 0 0 -0.3000000119 0.3000000119 0 0 0
-( 648 -328 217 ) ( 648 -176 221 ) ( 648 -176 217 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
-( 663 680 221 ) ( 655 680 217 ) ( 663 680 217 ) base_wall/basewall03 83.9998779297 0 0 -0.3000000119 0.3000000119 0 0 0
+( 648 -296 221 ) ( 640 -296 217 ) ( 640 -296 221 ) base_wall/basewall03 37.3332519531 0 0 -0.3000000119 0.3000000119 0 0 0
+( 648 -329 217 ) ( 648 -177 221 ) ( 648 -177 217 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
+( 660 -64 221 ) ( 652 -64 217 ) ( 660 -64 217 ) base_wall/basewall03 83.9998779297 0 0 -0.3000000119 0.3000000119 0 0 0
 ( 632 -152 221 ) ( 648 -24 199 ) ( 632 -24 221 ) base_wall/basewall04 -48.6699981689 269 90 0.3000000119 -0.3000000119 0 0 0
 }
@@ -6081,5 +6081,5 @@
 ( 696 272 129 ) ( 696 56 129 ) ( 616 272 129 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( 768 461 129 ) ( 688 461 129 ) ( 768 461 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
-( 824 261 129 ) ( 824 261 121 ) ( 824 45 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 713 261 129 ) ( 713 261 121 ) ( 713 45 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 616 56 121 ) ( 696 56 121 ) ( 616 272 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 580 -304 121 ) ( 580 -304 129 ) ( 660 -304 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
@@ -6098,8 +6098,8 @@
 {
 ( 649 -338 221 ) ( 649 -138 221 ) ( 657 -338 221 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
-( 654 -304 90 ) ( 662 -304 90 ) ( 654 -304 2 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 648 -744 105 ) ( 648 -744 17 ) ( 648 -544 105 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 646 0 90 ) ( 654 0 90 ) ( 646 0 2 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 648 -528 105 ) ( 648 -528 17 ) ( 648 -328 105 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 659 -136 129 ) ( 651 -136 129 ) ( 659 -336 129 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 639 461 17 ) ( 639 461 105 ) ( 631 461 17 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 639 320 17 ) ( 639 320 105 ) ( 631 320 17 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 656 -130 233 ) ( 656 -330 233 ) ( 656 -130 321 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
@@ -8018,4 +8018,92 @@
 ( 358 225.6500244141 102.011138916 ) ( 358 217.5973968506 87.0393371582 ) ( 358 230.0834197998 95.3519287109 ) evil1_metals/mtl_rst 0 -99 0 0.1000000015 0.1000000015 0 0 0
 }
+// brush 847
+{
+( 184 368.5 96.5 ) ( 184 358.5 96.5 ) ( 174.5 368.5 96.5 ) base_wall/bluemetalsupport2e 0 -43 0 0.0799999982 0.0299999993 0 0 0
+( 185 369 107.5 ) ( 175.5 369 107.5 ) ( 185 369 94.5 ) base_wall/bluemetalsupport2e 0 -43 0 0.0799999982 0.0299999993 0 0 0
+( 188.5 365.5 107.5 ) ( 188.5 365.5 94.5 ) ( 188.5 355.5 107.5 ) base_wall/bluemetalsupport2e 0 -43 0 0.0799999982 0.0299999993 0 0 0
+( 174.5 354.5 94.5 ) ( 184 354.5 94.5 ) ( 174.5 364.5 94.5 ) base_light/baslt4_1 2 18 0 0.1400000006 0.1599999964 0 0 0
+( 173.5 328 94.5 ) ( 173.5 328 107.5 ) ( 183 328 94.5 ) base_wall/bluemetalsupport2e 0 -43 0 0.0799999982 0.0299999993 0 0 0
+( 170 356.5 94.5 ) ( 170 366.5 94.5 ) ( 170 356.5 107.5 ) base_wall/bluemetalsupport2e 0 -43 0 0.0799999982 0.0299999993 0 0 0
+}
+// brush 848
+{
+( 181.5 349 121 ) ( 181.5 347 121 ) ( 178.5 349 121 ) base_wall/bluemetalsupport2e 0 1 -90 0.4199999869 0.3700000048 0 0 0
+( 181 352.5 98.5 ) ( 178 352.5 98.5 ) ( 181 352.5 96.5 ) base_wall/bluemetalsupport2e 0 1 -90 0.4199999869 0.3700000048 0 0 0
+( 180.5 350 98.5 ) ( 180.5 350 96.5 ) ( 180.5 348 98.5 ) base_wall/bluemetalsupport2e 0 1 -90 0.4199999869 0.3700000048 0 0 0
+( 178.5 348 96.5 ) ( 181.5 348 96.5 ) ( 178.5 350 96.5 ) base_wall/bluemetalsupport2e 0 1 -90 0.4199999869 0.3700000048 0 0 0
+( 179 345 96.5 ) ( 179 345 98.5 ) ( 182 345 96.5 ) base_wall/bluemetalsupport2e 0 1 -90 0.4199999869 0.3700000048 0 0 0
+( 178.5 348 96.5 ) ( 178.5 350 96.5 ) ( 178.5 348 98.5 ) base_wall/bluemetalsupport2e 0 1 -90 0.4199999869 0.3700000048 0 0 0
+}
+// brush 849
+{
+( 656 468 221 ) ( 656 461 221 ) ( 578 468 221 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 656 469 221 ) ( 578 469 221 ) ( 656 469 199 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 713 468 221 ) ( 713 468 199 ) ( 713 461 221 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 578 456 121 ) ( 656 456 121 ) ( 578 463 121 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 578 461 199 ) ( 578 461 221 ) ( 656 461 199 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 585 462 199 ) ( 585 469 199 ) ( 585 462 221 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+}
+// brush 850
+{
+( 647 476 221 ) ( 647 469 221 ) ( 569 476 221 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 646 680 221 ) ( 568 680 221 ) ( 646 680 199 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 585 535 221 ) ( 585 535 199 ) ( 585 528 221 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 569 464 121 ) ( 647 464 121 ) ( 569 471 121 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 569 461 199 ) ( 569 461 221 ) ( 647 461 199 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 576 470 199 ) ( 576 477 199 ) ( 576 470 221 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+}
+// brush 851
+{
+( 649 -739 221 ) ( 649 -539 221 ) ( 657 -739 221 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
+( 644 -304 90 ) ( 652 -304 90 ) ( 644 -304 2 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 648 -929 105 ) ( 648 -929 17 ) ( 648 -729 105 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 659 -537 129 ) ( 651 -537 129 ) ( 659 -737 129 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 645 -64 17 ) ( 645 -64 105 ) ( 637 -64 17 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 656 -531 233 ) ( 656 -731 233 ) ( 656 -531 321 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 852
+{
+( 649 -202 221 ) ( 649 -2 221 ) ( 657 -202 221 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
+( 649 384 90 ) ( 657 384 90 ) ( 649 384 2 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 648 -392 105 ) ( 648 -392 17 ) ( 648 -192 105 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 659 0 129 ) ( 651 0 129 ) ( 659 -200 129 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 637 461 17 ) ( 637 461 105 ) ( 629 461 17 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 656 6 233 ) ( 656 -194 233 ) ( 656 6 321 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 853
+{
+( 640 120 221 ) ( 648 -32 221 ) ( 640 -32 221 ) base_wall/basewall03 37.3333320618 -37.3332519531 -90 0.3000000119 -0.3000000119 0 0 0
+( 648 0 221 ) ( 640 0 217 ) ( 640 0 221 ) base_wall/basewall03 37.3332519531 0 0 -0.3000000119 0.3000000119 0 0 0
+( 648 -33 217 ) ( 648 119 221 ) ( 648 119 217 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
+( 655 320 221 ) ( 647 320 217 ) ( 655 320 217 ) base_wall/basewall03 83.9998779297 0 0 -0.3000000119 0.3000000119 0 0 0
+( 632 144 221 ) ( 648 272 199 ) ( 632 272 221 ) base_wall/basewall04 -48.6699981689 269 90 0.3000000119 -0.3000000119 0 0 0
+}
+// brush 854
+{
+( 640 261 221 ) ( 648 109 221 ) ( 640 109 221 ) base_wall/basewall03 37.3333320618 -37.3332519531 -90 0.3000000119 -0.3000000119 0 0 0
+( 650 384 221 ) ( 642 384 217 ) ( 642 384 221 ) base_wall/basewall03 37.3332519531 0 0 -0.3000000119 0.3000000119 0 0 0
+( 648 108 217 ) ( 648 260 221 ) ( 648 260 217 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
+( 655 461 221 ) ( 647 461 217 ) ( 655 461 217 ) base_wall/basewall03 83.9998779297 0 0 -0.3000000119 0.3000000119 0 0 0
+( 632 285 221 ) ( 648 413 199 ) ( 632 413 221 ) base_wall/basewall04 -48.6699981689 269 90 0.3000000119 -0.3000000119 0 0 0
+}
+// brush 855
+{
+( 706 -643 221 ) ( 706 -443 221 ) ( 714 -643 221 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
+( 703 -296 90 ) ( 711 -296 90 ) ( 703 -296 2 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 704 -833 105 ) ( 704 -833 17 ) ( 704 -633 105 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 716 -441 129 ) ( 708 -441 129 ) ( 716 -641 129 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 697 461 17 ) ( 697 461 105 ) ( 689 461 17 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 713 -435 233 ) ( 713 -635 233 ) ( 713 -435 321 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 856
+{
+( 706 -651 221 ) ( 706 -451 221 ) ( 714 -651 221 ) base_wall/basewall03 3.3333332539 39 0 0.3000000119 0.3300000131 0 0 0
+( 703 -304 90 ) ( 711 -304 90 ) ( 703 -304 2 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 656 -1594 105 ) ( 656 -1594 17 ) ( 656 -1394 105 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 716 -449 129 ) ( 708 -449 129 ) ( 716 -649 129 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 668 -296 17 ) ( 668 -296 105 ) ( 660 -296 17 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 713 -443 233 ) ( 713 -643 233 ) ( 713 -443 321 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
 }
 // entity 1
@@ -8328,2 +8416,8 @@
 "light" "100"
 }
+// entity 46
+{
+"classname" "light"
+"origin" "179.5 347.5 83"
+"light" "100"
+}