Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 3970)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 3971)
@@ -340,5 +340,5 @@
 ( -416 512 -16 ) ( -616 512 -16 ) ( -416 512 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -408 512 30 ) ( -408 512 22 ) ( -408 504 30 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -636 504 -188 ) ( -436 504 -188 ) ( -636 512 -188 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -636 504 -351 ) ( -436 504 -351 ) ( -636 512 -351 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -616 504 -24 ) ( -616 504 -16 ) ( -416 504 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -1040 496 22 ) ( -1040 504 22 ) ( -1040 496 30 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -358,7 +358,7 @@
 ( -496 736 64 ) ( -760 736 64 ) ( -496 736 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -496 736 110 ) ( -496 736 22 ) ( -496 728 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -755 728 -188 ) ( -491 728 -188 ) ( -755 736 -188 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -755 728 -351 ) ( -491 728 -351 ) ( -755 736 -351 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -760 728 -24 ) ( -760 728 64 ) ( -496 728 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -1032 728 22 ) ( -1032 736 22 ) ( -1032 728 110 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1032 728 -141 ) ( -1032 736 -141 ) ( -1032 728 -53 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 }
 // brush 39
@@ -8392,25 +8392,25 @@
 // brush 889
 {
-( -592 712 128 ) ( -592 504 128 ) ( -656 712 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -600 712 128 ) ( -600 504 128 ) ( -664 712 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 728 128 ) ( -656 728 128 ) ( -592 728 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 704 128 ) ( -592 704 120 ) ( -592 496 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -656 504 120 ) ( -592 504 120 ) ( -656 712 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -664 504 120 ) ( -600 504 120 ) ( -664 712 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -712 648 152 ) ( -712 648 160 ) ( -648 648 152 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 504 120 ) ( -896 712 120 ) ( -896 504 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -904 504 120 ) ( -904 712 120 ) ( -904 504 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 890
 {
-( -592 568 128 ) ( -592 360 128 ) ( -656 568 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -600 568 128 ) ( -600 360 128 ) ( -664 568 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -448 592 128 ) ( -512 592 128 ) ( -448 592 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 576 128 ) ( -592 576 120 ) ( -592 368 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -656 360 120 ) ( -592 360 120 ) ( -656 568 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -720 512 152 ) ( -720 512 160 ) ( -656 512 152 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 376 120 ) ( -896 584 120 ) ( -896 376 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -664 360 120 ) ( -600 360 120 ) ( -664 568 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -728 512 152 ) ( -728 512 160 ) ( -664 512 152 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -904 376 120 ) ( -904 584 120 ) ( -904 376 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 891
 {
-( -592 616 128 ) ( -592 592 128 ) ( -656 616 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -600 616 128 ) ( -600 592 128 ) ( -664 616 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 616 128 ) ( -592 616 120 ) ( -592 592 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -656 592 120 ) ( -592 592 120 ) ( -656 616 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -664 592 120 ) ( -600 592 120 ) ( -664 616 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -656 592 120 ) ( -656 592 128 ) ( -592 592 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -624 592 88 ) ( -592 616 88 ) ( -624 592 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
@@ -8418,15 +8418,15 @@
 // brush 892
 {
-( -592 648 128 ) ( -592 624 128 ) ( -656 648 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -600 648 128 ) ( -600 624 128 ) ( -664 648 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 648 128 ) ( -656 648 128 ) ( -592 648 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 648 128 ) ( -592 648 120 ) ( -592 624 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -656 624 120 ) ( -592 624 120 ) ( -656 648 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -592 624 88 ) ( -624 648 88 ) ( -592 624 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -664 624 120 ) ( -600 624 120 ) ( -664 648 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -600 624 88 ) ( -632 648 88 ) ( -600 624 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 893
 {
-( -896 624 128 ) ( -896 648 128 ) ( -832 624 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 624 128 ) ( -896 624 120 ) ( -896 648 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -832 648 120 ) ( -896 648 120 ) ( -832 624 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -904 624 128 ) ( -904 648 128 ) ( -840 624 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -904 624 128 ) ( -904 624 120 ) ( -904 648 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -840 648 120 ) ( -904 648 120 ) ( -840 624 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -832 648 120 ) ( -832 648 128 ) ( -896 648 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -864 648 88 ) ( -896 624 88 ) ( -864 648 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
@@ -8434,8 +8434,8 @@
 // brush 894
 {
-( -896 592 128 ) ( -896 616 128 ) ( -832 592 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -904 592 128 ) ( -904 616 128 ) ( -840 592 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -896 592 128 ) ( -832 592 128 ) ( -896 592 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 592 128 ) ( -896 592 120 ) ( -896 616 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -832 616 120 ) ( -896 616 120 ) ( -832 592 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -904 592 128 ) ( -904 592 120 ) ( -904 616 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -840 616 120 ) ( -904 616 120 ) ( -840 592 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -896 616 88 ) ( -864 592 88 ) ( -896 616 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
@@ -8893,5 +8893,5 @@
 ( -1041 520 -188 ) ( -897 520 -188 ) ( -1041 736 -188 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -1041 512 -188 ) ( -1041 512 -180 ) ( -897 512 -188 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1041 520 -188 ) ( -1041 736 -188 ) ( -1041 520 -180 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1032 520 -190 ) ( -1032 736 -190 ) ( -1032 520 -182 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 946
@@ -8899,5 +8899,5 @@
 ( -448 736 -180 ) ( -448 520 -180 ) ( -592 736 -180 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -448 728 -180 ) ( -592 728 -180 ) ( -448 728 -188 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -448 736 -180 ) ( -448 736 -188 ) ( -448 520 -180 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -496 737 -180 ) ( -496 737 -188 ) ( -496 521 -180 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 520 -188 ) ( -448 520 -188 ) ( -592 736 -188 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 512 -188 ) ( -592 512 -180 ) ( -448 512 -188 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
@@ -8911,5 +8911,5 @@
 ( -1041 520 271 ) ( -897 520 271 ) ( -1041 736 271 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -1041 512 271 ) ( -1041 512 279 ) ( -897 512 271 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1041 520 271 ) ( -1041 736 271 ) ( -1041 520 279 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1040 520 271 ) ( -1040 736 271 ) ( -1040 520 279 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 948
@@ -8917,8 +8917,53 @@
 ( -448 736 279 ) ( -448 520 279 ) ( -592 736 279 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -448 728 279 ) ( -592 728 279 ) ( -448 728 271 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -448 736 279 ) ( -448 736 271 ) ( -448 520 279 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -496 736 279 ) ( -496 736 271 ) ( -496 520 279 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 520 271 ) ( -448 520 271 ) ( -592 736 271 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 512 271 ) ( -592 512 279 ) ( -448 512 271 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 520 271 ) ( -592 736 271 ) ( -592 520 279 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+}
+// brush 949
+{
+( -1043 737 440 ) ( -1043 729 440 ) ( -1307 737 440 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1032 736 373 ) ( -1296 736 373 ) ( -1032 736 285 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1032 737 419 ) ( -1032 737 331 ) ( -1032 729 419 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1291 729 121 ) ( -1027 729 121 ) ( -1291 737 121 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -805 512 285 ) ( -805 512 373 ) ( -541 512 285 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1040 500 331 ) ( -1040 508 331 ) ( -1040 500 419 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 950
+{
+( -499 737 440 ) ( -499 729 440 ) ( -763 737 440 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -488 736 373 ) ( -752 736 373 ) ( -488 736 285 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -488 737 419 ) ( -488 737 331 ) ( -488 729 419 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -747 729 121 ) ( -483 729 121 ) ( -747 737 121 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -261 512 285 ) ( -261 512 373 ) ( 3 512 285 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -496 500 331 ) ( -496 508 331 ) ( -496 500 419 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 951
+{
+( -1043 737 -32 ) ( -1043 729 -32 ) ( -1307 737 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1032 736 -99 ) ( -1296 736 -99 ) ( -1032 736 -187 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1032 737 -53 ) ( -1032 737 -141 ) ( -1032 729 -53 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1291 729 -351 ) ( -1027 729 -351 ) ( -1291 737 -351 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -805 512 -187 ) ( -805 512 -99 ) ( -541 512 -187 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -1040 500 -141 ) ( -1040 508 -141 ) ( -1040 500 -53 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 952
+{
+( -499 737 -32 ) ( -499 729 -32 ) ( -763 737 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -488 736 -99 ) ( -752 736 -99 ) ( -488 736 -187 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -488 737 -53 ) ( -488 737 -141 ) ( -488 729 -53 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -747 729 -351 ) ( -483 729 -351 ) ( -747 737 -351 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -261 512 -187 ) ( -261 512 -99 ) ( 3 512 -187 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -496 500 -141 ) ( -496 508 -141 ) ( -496 500 -53 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 953
+{
+( -897 736 -343 ) ( -897 520 -343 ) ( -1041 736 -343 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -897 728 -343 ) ( -1041 728 -343 ) ( -897 728 -351 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -496 736 -346 ) ( -496 736 -354 ) ( -496 520 -346 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1041 520 -351 ) ( -897 520 -351 ) ( -1041 736 -351 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1041 512 -351 ) ( -1041 512 -343 ) ( -897 512 -351 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1032 520 -353 ) ( -1032 736 -353 ) ( -1032 520 -345 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 }